### Class

# Gsk RoundedClipNode

#### Description [src]

    final class Gsk.RoundedClipNode : GObject.TypeInstance
    {
      /* No available fields */
    }

A render node applying a rounded rectangle clip to its single child.

#### Ancestors

- GskRenderNode

#### Constructors

###### gsk_rounded_clip_node_new

Creates a `GskRenderNode` that will clip the `child` to the area given by `clip`.

#### Instance methods

###### gsk_rounded_clip_node_get_child

Gets the child node that is getting clipped by the given `node`.

###### gsk_rounded_clip_node_get_clip

Retrieves the rounded rectangle used to clip the contents of the `node`.

##### Methods inherited from GskRenderNode (9)

###### gsk_render_node_draw

Draws the contents of a render node on a cairo context.

###### gsk_render_node_get_bounds

Retrieves the boundaries of the `node`.

###### gsk_render_node_get_children

Gets a list of all children nodes of the rendernode.

since: 4.22

###### gsk_render_node_get_node_type

Returns the type of the render node.

###### gsk_render_node_get_opaque_rect

Gets an opaque rectangle inside the node that GTK can determine to be fully opaque.

since: 4.16

###### gsk_render_node_ref

Acquires a reference on the given `GskRenderNode`.

###### gsk_render_node_serialize

Serializes the `node` for later deserialization via gsk_render_node_deserialize(). No guarantees are made about the format used other than that the same version of GTK will be able to deserialize the result of a call to `gsk_render_node_serialize()` and `gsk_render_node_deserialize()` will correctly reject files it cannot open that were created with previous versions of GTK.

###### gsk_render_node_unref

Releases a reference on the given `GskRenderNode`.

###### gsk_render_node_write_to_file

This function is equivalent to calling `gsk_render_node_serialize()` followed by `g_file_set_contents()`.